Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Portable_Server::RequestProcessingStrategyDefaultServant Class Reference

`#include <RequestProcessingStrategyDefaultServant.h>`

Inheritance diagram for TAO::Portable_Server::RequestProcessingStrategyDefaultServant:

[legend]
Collaboration diagram for TAO::Portable_Server::RequestProcessingStrategyDefaultServant:

[legend]
List of all members.

## Public Member Functions
| RequestProcessingStrategyDefaultServant (void)
virtual void | strategy_cleanup ()
PortableServer::ServantManager_ptr | get_servant_manager () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual TAO_SERVANT_LOCATION | locate_servant (const PortableServer::ObjectId &system_id, PortableServer::Servant &servant)
virtual PortableServer::Servant | locate_servant (const char *operation, const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl, int &wait_occurred_restart_call)
virtual PortableServer::Servant | system_id_to_servant (const PortableServer::ObjectId &system_id)
virtual PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &id) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
virtual void | cleanup_servant (PortableServer::Servant servant, const PortableServer::ObjectId &user_id)
virtual void | etherealize_objects (CORBA::Boolean etherealize_objects)
virtual PortableServer::ObjectId * | servant_to_id (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
virtual void | post_invoke_servant_cleanup (const PortableServer::ObjectId &system_id, const TAO::Portable_Server::Servant_Upcall &servant_upcall)
virtual ::PortableServer::RequestProcessingPolicyValue | type () const
## Private Attributes
PortableServer::ServantBase_var | default_servant_

## Constructor & Destructor Documentation

TAO::Portable_Server::RequestProcessingStrategyDefaultServant::RequestProcessingStrategyDefaultServant | ( | void |  | ) |

## Member Function Documentation

void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::cleanup_servant | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id
| ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::etherealize_objects | ( | CORBA::Boolean | etherealize_objects | ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyDefaultServant::get_servant | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::ServantManager_ptr TAO::Portable_Server::RequestProcessingStrategyDefaultServant::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyDefaultServant::id_to_servant | ( | const PortableServer::ObjectId & | id | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyDefaultServant::locate_servant | ( | const char * | operation,
|  | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl,
|  | int & | wait_occurred_restart_call
| ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

TAO_SERVANT_LOCATION TAO::Portable_Server::RequestProcessingStrategyDefaultServant::locate_servant | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::Servant & | servant
| ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::post_invoke_servant_cleanup | ( | const PortableServer::ObjectId & | system_id,
|  | const TAO::Portable_Server::Servant_Upcall & | servant_upcall
| ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::ObjectId * TAO::Portable_Server::RequestProcessingStrategyDefaultServant::servant_to_id | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::set_servant | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

virtual void TAO::Portable_Server::RequestProcessingStrategyDefaultServant::strategy_cleanup | ( |  | ) | `[virtual]`

| Reimplemented from TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyDefaultServant::system_id_to_servant | ( | const PortableServer::ObjectId & | system_id | ) | `[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::RequestProcessingPolicyValue TAO::Portable_Server::RequestProcessingStrategyDefaultServant::type | ( |  | ) | const`[virtual]`

| Implements TAO::Portable_Server::RequestProcessingStrategy.

## Member Data Documentation

PortableServer::ServantBase_var TAO::Portable_Server::RequestProcessingStrategyDefaultServant::default_servant_`[private]`

The documentation for this class was generated from the following files:

- RequestProcessingStrategyDefaultServant.h
- RequestProcessingStrategyDefaultServant.cpp